liblzma (XZ Utils) 5.4.2

- Main Page
- Data Structures
- Files

- File List
- Globals

Macros
lzma.h File Reference

The public API of liblzma data compression library. More...

`#include <stddef.h>`
`#include <inttypes.h>`
`#include <limits.h>`
`#include "lzma/version.h"`
`#include "lzma/base.h"`
`#include "lzma/vli.h"`
`#include "lzma/check.h"`
`#include "lzma/filter.h"`
`#include "lzma/bcj.h"`
`#include "lzma/delta.h"`
`#include "lzma/lzma12.h"`
`#include "lzma/container.h"`
`#include "lzma/stream_flags.h"`
`#include "lzma/block.h"`
`#include "lzma/index.h"`
`#include "lzma/index_hash.h"`
`#include "lzma/hardware.h"`

## Macros
#define | UINT32_C(n) n ## U
#define | UINT64_C(n) n ## UL
#define | UINT32_MAX (UINT32_C(4294967295))
#define | UINT64_MAX (UINT64_C(18446744073709551615))
#define | lzma_nothrow
#define | lzma_attribute(attr)
#define | lzma_attr_pure lzma_attribute((__pure__))
#define | lzma_attr_const lzma_attribute((__const__))
#define | lzma_attr_warn_unused_result lzma_attribute((__warn_unused_result__))
#define | LZMA_H_INTERNAL 1

## Detailed Description

The public API of liblzma data compression library.